Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.config
Class ServletContextSingleton

    java.lang.Object
      org.apache.struts2.config.ServletContextSingleton

    public class ServletContextSingleton

extends java.lang.Object

This singleton holds an instance of the web servlet context.

This is needed for running Struts on Weblogic Server 6.1 because there is no provision to retrieve the servlet context from the web session object.

This class is created to bet that this singleton can be set by `FilterDispatcherCompatWeblogic61` before the servlet context is needed by `org.apache.struts2.lifecycle.SessionLifecycleListener` which will use this object to get it.

Method Summary
`static ServletContextSingleton` | `getInstance()` Answers the singleton.
`javax.servlet.ServletContext` | `getServletContext()` Gets the servlet context
`void` | `setServletContext(javax.servlet.ServletContext context)` Sets the servlet context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ServletContextSingleton getInstance()

  Answers the singleton.

  At some point, the caller must populate the web servlet context.

  Returns:
    Answers the singleton instance of this class

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Gets the servlet context

  Returns:
    The web servlet context

### setServletContext

    public void setServletContext(javax.servlet.ServletContext context)

  Sets the servlet context

  Parameters:
    `context` - The web servlet context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.